summaryrefslogtreecommitdiff
path: root/net.Linux
diff options
context:
space:
mode:
authorRoy Marples <roy@marples.name>2007-12-19 14:28:38 +0000
committerRoy Marples <roy@marples.name>2007-12-19 14:28:38 +0000
commited620aec61752b35914aec8841a2576ceb69a277 (patch)
tree1f41d6f09b76c8cbe17f924d49bd17bc44c3659b /net.Linux
parentbc9cc3dfb5c27d30964dc497d7559c134f3893ef (diff)
downloadopenrc-ed620aec61752b35914aec8841a2576ceb69a277.tar.gz
openrc-ed620aec61752b35914aec8841a2576ceb69a277.tar.bz2
openrc-ed620aec61752b35914aec8841a2576ceb69a277.tar.xz
get_options -> service_get_value and save_options -> service_set_value
Diffstat (limited to 'net.Linux')
-rw-r--r--net.Linux/ccwgroup.sh6
-rw-r--r--net.Linux/iwconfig.sh4
-rw-r--r--net.Linux/tuntap.sh6
3 files changed, 8 insertions, 8 deletions
diff --git a/net.Linux/ccwgroup.sh b/net.Linux/ccwgroup.sh
index 461b306..98d3d56 100644
--- a/net.Linux/ccwgroup.sh
+++ b/net.Linux/ccwgroup.sh
@@ -59,7 +59,7 @@ ccwgroup_pre_start() {
ccwgroup_pre_stop() {
# Erase any existing ccwgroup to be safe
- save_options ccwgroup_device ""
+ service_set_value ccwgroup_device ""
[ ! -L /sys/class/net/"${FACE}"/driver ] && return 0
local driver="$(readlink /sys/class/net/"${IFACE}"/driver)"
@@ -70,11 +70,11 @@ ccwgroup_pre_stop() {
local device="$(readlink /sys/class/net/"${IFACE}"/device)"
device=${device##*/}
- save_options ccwgroup_device "${device}"
+ service_set_value ccwgroup_device "${device}"
}
ccwgroup_post_stop() {
- local device="$(get_options ccwgroup_device)"
+ local device="$(service_get_value ccwgroup_device)"
[ -z "${device}" ] && return 0
einfo "Disabling ccwgroup on ${iface}"
diff --git a/net.Linux/iwconfig.sh b/net.Linux/iwconfig.sh
index cb94912..272d1fb 100644
--- a/net.Linux/iwconfig.sh
+++ b/net.Linux/iwconfig.sh
@@ -686,7 +686,7 @@ iwconfig_pre_start() {
# the background
yesno ${IN_BACKGROUND} && return 0
- save_options "SSID" ""
+ service_set_value "SSID" ""
_exists || return 0
if ! _is_wireless; then
@@ -736,7 +736,7 @@ iwconfig_pre_start() {
fi
if iwconfig_configure; then
- save_options "SSID" "${SSID}"
+ service_set_value "SSID" "${SSID}"
return 0
fi
diff --git a/net.Linux/tuntap.sh b/net.Linux/tuntap.sh
index 07aa2a5..d0fa5a8 100644
--- a/net.Linux/tuntap.sh
+++ b/net.Linux/tuntap.sh
@@ -29,7 +29,7 @@ tuntap_depend() {
_config_vars="$_config_vars tunctl"
_is_tuntap() {
- [ -n "$(get_options tuntap "${SVCNAME}")" ]
+ [ -n "$(export SVCNAME="net.${IFACE}"; service_get_value tuntap)" ]
}
tuntap_pre_start() {
@@ -58,7 +58,7 @@ tuntap_pre_start() {
else
openvpn --mktun --dev-type "${tuntap}" --dev "${IFACE}" >/dev/null
fi
- eend $? && _up && save_options tuntap "${tuntap}"
+ eend $? && _up && service_set_value tuntap "${tuntap}"
}
tuntap_post_stop() {
@@ -69,7 +69,7 @@ tuntap_post_stop() {
tunctl -d "${IFACE}" >/dev/null
else
openvpn --rmtun \
- --dev-type "$(get_options tuntap)" \
+ --dev-type "$(service_get_value tuntap)" \
--dev "${IFACE}" >/dev/null
fi
eend $?